Skip to main content
GET
/
get-property
/
{propertyId}
Get a property
curl --request GET \
  --url https://v2.api.uk.housr.com/get-property/{propertyId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v2.api.uk.housr.com/get-property/{propertyId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v2.api.uk.housr.com/get-property/{propertyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "propertyId": 12345,
  "title": "Spacious 4-bed near campus",
  "description": "Modern kitchen, large garden.",
  "address": "12 Oxford Road",
  "city": "Manchester",
  "images": [
    "https://cdn.example.com/img/1.jpg",
    "https://cdn.example.com/img/2.jpg"
  ],
  "price_pw": 180,
  "bedrooms": 4,
  "bathrooms": 2,
  "postcode": "M13 9PL",
  "lat": 53.467,
  "lng": -2.233,
  "deposit": 200
}
{
"response": "Missing or invalid authentication token"
}
{
"response": "Property with ID 12345 not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

propertyId
integer<int64>
required

ID of the property

Response

Property found

title
string
description
string
address
string
city
string
images
string<uri>[]

Array of image URLs, each their own comma-separated string

price_pw
integer

Weekly price as a string to preserve precision

bedrooms
integer
Required range: x >= 0
bathrooms
integer
Required range: x >= 0
postcode
string
lat
number<double> | null
lng
number<double> | null
deposit
integer
default:0

Defaults to 0 if not supplied

propertyId
integer<int64>